<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('regular_activities', function (Blueprint $table) {
            $table->tinyInteger("is_provide_food")->default(1)->comment("是否提供餐饮 0:不提供 1:提供")->after("end_time");
            $table->tinyInteger("is_need_hand")->default(0)->comment("是否需要手动报名 0:不需要 1:需要")->after("is_provide_food");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('regular_activities', function (Blueprint $table) {
            $table->dropColumn('is_provide_food');
            $table->dropColumn('is_need_hand');
        });
    }
};
